#
# spec file for package octave-forge-ga
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  ga
Name:           octave-forge-%{octpkg}
Version:        0.10.3
Release:        1.6
Summary:        Genetic optimization code for Octave
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  octave-devel >= 3.4.0
Requires:       octave-cli >= 3.4.0

%description
Genetic optimization code.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Mon Feb 21 2022 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 0.10.3:
  * Updates for octave 7 compatibility
* Tue Jan 12 2021 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 0.10.2:
  * Bug fixes #59299
* Tue Nov 26 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 0.10.1
  * Bug fixes #55348, #53875
  * minor updates for octave capapability
  * minor documentation updates
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 0.10.0
